// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"
#include "assert/assert.hpp"

namespace Dawn {
  /**
   * Checks if a given point is within the 2D Boundaries of an object.
   * 
   * @param point Point to test.
   * @param min Minimum point on the box.
   * @param max Maximum point on the box.
   * @return True if the point is within the box.
   */
  static bool_t boxIsPointInside(glm::vec2 point, glm::vec2 min, glm::vec2 max);
}